Skip to content

Get the list of resources authorized by the group ​

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get the list of resources authorized by the group through the group code, and filter by resource type and permission group code.

Method name ​

ManagementClient.getGroupAuthorizedResources

Request parameters ​

NameTypeRequiredDefault valueDescriptionSample value
codestringyes-Group codedeveloper
namespacestringno-Code of the permission group (permission space). Do not pass to get the default permission group.default
resourceTypestringNo-Resource Type

Sample Code ​

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.getGroupAuthorizedResources({
    code: "developer",
    namespace: "default",
    resourceType: "DATA",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response ​

Type: AuthorizedResourceListRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
dataarrayresponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "resourceCode": "ecs:1",
    "description": "Server",
    "condition": {
      "param": "AppId",
      "operator": "StringEquals",
      "value": "1"
    },
    "resourceType": "API",
    "apiIdentifier": "/api/v1/example",
    "actions": "[\"ecs:Start\",\"ecs:Stop\"]",
    "effect": "ALLOW"
  }
}

Data structure ​

AuthorizedResourceDto ​

NameTypeRequiredDescriptionSample value
resourceCodestringYesResource descriptorecs:1
descriptionstringNoResource descriptionserver
conditionarrayNoPolicy Condition Nested type: <a PolicyCondition.
resourceTypestringyesResource typeDATA
apiIdentifierstringyesAPI URL/api/v1/example
actionsarrayyesList of authorized actions["ecs:Start","ecs:Stop"]
effectstringyesAllow or denyALLOW

PolicyCondition ​

NameTypeIs it required?DescriptionExample value
paramstringyesCondition ParamUserPoolId
operatorstringyesCondition OperatorBool
valuestringyesCondition Value1